| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Structures | Macros | Enumerations | Functions
CHIP: LPC8xx PMU driver
LPC8xx chip specific drivers

## Detailed Description

## Data Structures
struct | LPC_PMU_T
| Power Management Unit register block structure. More...

## Macros
#define | PMU_PCON_PM_DPD ((uint32_t) (1 << 0))
#define | PMU_PCON_PM_PWD ((uint32_t) (1 << 1))
#define | PMU_PCON_PM_DPWD ((uint32_t) (3 << 0))
#define | PMU_DPDCTRL_WAKEUPPHYS ((uint32_t) (1 << 0)) /* Wake-up pin hysteresis enable */
#define | PMU_DPDCTRL_WAKEPAD ((uint32_t) (1 << 1)) /* Wake-up pin enable */
#define | PMU_DPDCTRL_LPOSCEN ((uint32_t) (1 << 2)) /* Enable the low-power oscillator (10 khz self wk) */
#define | PMU_DPDCTRL_LPOSCDPDEN ((uint32_t) (1 << 3)) /* Enable the low-power oscillator in deep power-down*/

## Enumerations
enum | CHIP_PMU_MCUPOWER_T { PMU_MCU_SLEEP = 0, PMU_MCU_DEEP_SLEEP, PMU_MCU_POWER_DOWN, PMU_MCU_DEEP_PWRDOWN }
| LPC8xx low power mode type definitions. More...

## Functions
void | Chip_PMU_Sleep (LPC_PMU_T *pPMU, CHIP_PMU_MCUPOWER_T SleepMode)
| Put some of the peripheral in sleep mode.

## Macro Definition Documentation

#define PMU_DPDCTRL_LPOSCDPDEN ((uint32_t) (1 << 3)) /* Enable the low-power oscillator in deep power-down*/

Definition at line 76 of file pmu_8xx.h.

#define PMU_DPDCTRL_LPOSCEN ((uint32_t) (1 << 2)) /* Enable the low-power oscillator (10 khz self wk) */

Definition at line 75 of file pmu_8xx.h.

#define PMU_DPDCTRL_WAKEPAD ((uint32_t) (1 << 1)) /* Wake-up pin enable */

Definition at line 74 of file pmu_8xx.h.

#define PMU_DPDCTRL_WAKEUPPHYS ((uint32_t) (1 << 0)) /* Wake-up pin hysteresis enable */

Definition at line 73 of file pmu_8xx.h.

#define PMU_PCON_PM_DPD ((uint32_t) (1 << 0))

PMU register bit fields & masksARM WFI enter Deep-sleep mode

Definition at line 69 of file pmu_8xx.h.

#define PMU_PCON_PM_DPWD ((uint32_t) (3 << 0))

ARM WFI enter Deep Power-down mode

Definition at line 71 of file pmu_8xx.h.

#define PMU_PCON_PM_PWD ((uint32_t) (1 << 1))

ARM WFI enter Power-down mode

Definition at line 70 of file pmu_8xx.h.

## Enumeration Type Documentation

enum CHIP_PMU_MCUPOWER_T

LPC8xx low power mode type definitions.

Enumerator:

  PMU_MCU_SLEEP | Sleep mode
  PMU_MCU_DEEP_SLEEP | Deep Sleep mode
  PMU_MCU_POWER_DOWN | Power down mode
  PMU_MCU_DEEP_PWRDOWN | Deep power down mode

Definition at line 59 of file pmu_8xx.h.

## Function Documentation

void Chip_PMU_Sleep | ( | LPC_PMU_T * | pPMU,
|  | CHIP_PMU_MCUPOWER_T | SleepMode
| ) |  |

Put some of the peripheral in sleep mode.

Parameters

  pPMU | : Pointer to PMU register block
  SleepMode | : Sleep mode

Returns
  None

Definition at line 55 of file pmu_8xx.c.